<?php
/**
 * @package		eWay Rapid3.0 Payment Gateway
 * @version		1.0.0
 * @author		web.texidor.com
 * @copyright	2012 Nick Texidor. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');

?>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][eway_user]">
			<?php echo JText::_( 'HIKA_USERNAME' ); ?>
		</label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][eway_user]" value="<?php echo @$this->element->payment_params->eway_user; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][eway_pass]">
			<?php echo JText::_( 'HIKA_PASSWORD' ); ?>
		</label>
	</td>
	<td>
		<input type="password" name="data[payment][payment_params][eway_pass]" value="<?php echo @$this->element->payment_params->eway_pass; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][sandbox]">
			<?php echo JText::_( 'SANDBOX' ); ?>
		</label>
	</td>
	<td>
		<?php echo JHTML::_('select.booleanlist', "data[payment][payment_params][sandbox]" , '',@$this->element->payment_params->sandbox	); ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][debug]">
			<?php echo JText::_( 'DEBUG' ); ?>
		</label>
	</td>
	<td>
		<?php echo JHTML::_('select.booleanlist', "data[payment][payment_params][debug]" , '',@$this->element->payment_params->debug	); ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][eway_method]">
			<?php echo JText::_( 'PAYMENT_METHOD' ); ?>
		</label>
	</td>
	<td>
		<select name="data[payment][payment_params][eway_method]">
			<option <?php if($this->element->payment_params->eway_method == 'SOAP') echo "selected=\"selected\""; ?> value="SOAP">SOAP</option>
			<option <?php if($this->element->payment_params->eway_method == 'POST') echo "selected=\"selected\""; ?> value="POST">POST</option>
			<option <?php if($this->element->payment_params->eway_method == 'REST') echo "selected=\"selected\""; ?> value="REST">REST</option>
			<option <?php if($this->element->payment_params->eway_method == 'RPC')  echo "selected=\"selected\""; ?> value="RPC">RPC</option>
		</select>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][eway_format]">
			<?php echo JText::_( 'HIKA_FORMAT' ); ?>
		</label>
	</td>
	<td>
		<select name="data[payment][payment_params][eway_format]">
			<option <?php if($this->element->payment_params->eway_format == 'XML' ) echo "selected=\"selected\""; ?> value="XML">XML</option>
			<option <?php if($this->element->payment_params->eway_format == 'JSON') echo "selected=\"selected\""; ?> value="JSON">JSON</option>
		</select>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][send_address]">
			<?php echo JText::_( 'SET_USER_ADDRESS' ); ?>
		</label>
	</td>
	<td>
		<?php echo JHTML::_('select.booleanlist', "data[payment][payment_params][send_address]" , '',@$this->element->payment_params->send_address	); ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][return_url]">
			<?php echo JText::_( 'RETURN_URL' ); ?>
		</label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][return_url]" value="<?php echo @$this->element->payment_params->return_url; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][verified_status]">
			<?php echo JText::_( 'VERIFIED_STATUS' ); ?>
		</label>
	</td>
	<td>
		<?php echo $this->data['category']->display("data[payment][payment_params][verified_status]",@$this->element->payment_params->verified_status); ?>
	</td>
</tr>